<?php include('include/headscript.php'); ?>
<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $iduser = $_POST['iduser'];
    $idyogaschool = $_POST['idyogaschool'];
    $product_id = isset($_POST['product_id']) ? $_POST['product_id'] : null; // product_id è opzionale

    // Connessione al database
    $conn = new mysqli($servername, $username, $password, $database);

    // Verifica se il record è già tra i preferiti
    $query = "SELECT * FROM bookmarks WHERE iduser = ? AND idyogaschool = ? AND product_id = ?";
    $stmt = $conn->prepare($query);
    $stmt->bind_param('iii', $iduser, $idyogaschool, $product_id); // Usare il product_id
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows == 0) {
        // Se non è già nei preferiti, aggiungi
        $query = "INSERT INTO bookmarks (iduser, idyogaschool, product_id) VALUES (?, ?, ?)";
        $stmt = $conn->prepare($query);
        $stmt->bind_param('iii', $iduser, $idyogaschool, $product_id); // Assicurati che product_id sia valorizzato
        $stmt->execute();
    } else {
        // Se è già nei preferiti, rimuovi il preferito
        $query = "DELETE FROM bookmarks WHERE iduser = ? AND idyogaschool = ? AND product_id = ?";
        $stmt = $conn->prepare($query);
        $stmt->bind_param('iii', $iduser, $idyogaschool, $product_id);
        $stmt->execute();
    }

    // Chiudi la connessione al database
    $stmt->close();
    $conn->close();
}
?>
